Get dispute details
curl --request GET \
--url https://{api}.subotiz.com/api/v1/disputes/{dispute_id} \
--header 'Authorization: Bearer <token>' \
--header 'Request-Id: <request-id>'const options = {
method: 'GET',
headers: {'Request-Id': '<request-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{api}.subotiz.com/api/v1/disputes/{dispute_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{api}.subotiz.com/api/v1/disputes/{dispute_id}"
headers = {
"Request-Id": "<request-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
{
"code": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"channel_dispute_id": "<string>",
"merchant_id": "<string>",
"order_id": "<string>",
"payment_channel": "<string>",
"payment_method": "<string>",
"dispute_status": "<string>",
"dispute_reason": "<string>",
"order_amount": "<string>",
"order_currency": "<string>",
"dispute_amount": "<string>",
"dispute_currency": "<string>",
"dispute_create_time": "<string>",
"dispute_update_time": "<string>",
"dispute_due_time": "<string>"
}
}{
"code": "InvalidParameter",
"message": "merchant_id is required."
}Dispute
Get dispute details
Retrieve a single dispute by ID
GET
/
api
/
v1
/
disputes
/
{dispute_id}
Get dispute details
Retrieve a single dispute by ID
Authorizations
Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}
Headers
The unique identifier of the request
Path Parameters
Subotiz dispute ID or channel dispute ID
Query Parameters
Merchant ID
Was this page helpful?
⌘I